 /*
 * file      : callbacks.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * OLD ADRESS:
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * NEW ADRESS:
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef __callbacks_h__
#define __callbacks_h__ 1

typedef struct {

	gint		 Memory_page;
	GtkButton	*Adr_button_path;
	GtkWidget	*Adr_name_project;
	GtkWidget	*Adr_spinbutton_version_A;
	GtkWidget	*Adr_spinbutton_version_B;
	GtkWidget	*Adr_spinbutton_version_C;
	GtkWidget	*Adr_name_library;
	GtkWidget	*Adr_textview;
	GtkComboBox	*Adr_combobox_categories;
	gchar		 StrCategoriesEntry [ 50 ];
	GtkWidget	*Adr_name_lib_static;
	gboolean	 BoolCreateBuild;
	
} VAR_CALLBACKS;

extern VAR_CALLBACKS VarCallbacks;

gchar *Callbacks_get_entry_categories_item (void);

#endif

